classification
Title: Tix: PanedWindow.panes nonfunctional
Type: behavior Stage: test needed
Components: Tkinter Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: loewis Nosy List: gpolo, loewis, majromax
Priority: normal Keywords: patch

Created on 2005-08-02 18:52 by majromax, last changed 2009-08-18 15:37 by gpolo. This issue is now closed.

Files
File name Uploaded Description Edit
pylog.txt majromax, 2005-08-02 18:52 Full error description and suggested fix
Tix_PanedWindow_panesfix.diff gpolo, 2009-06-21 21:56
Messages (4)
msg25962 - (view) Author: Majromax (majromax) Date: 2005-08-02 18:52
Tix.PanedWindow.panes() is nonfunctional for any but
single-letter pane names; the culprit is the following
line of code from Tix.PanedWindow.panes:

names = self.tk.call(self._w, 'panes')

Since the Tk "panes" command returns a string, it is
not iterated over properly.  The fix is:

names = self.tk.split(self.tk.call(self._w, 'panes'))

Attached is error log from Python 2.4, Windows 2k.
msg89587 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-06-21 21:56
Is there some reason to prefer .split over .splitlist ? It is very
likely that .split would still return a string if you had a single pane,
while .splitlist would return a tuple with an item on it.

Patch attached.
msg91688 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-08-18 13:29
Fix has been committed on r74508.
msg91702 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-08-18 15:37
py3k branch: r74518.
History
Date User Action Args
2009-08-18 15:37:05gpolosetresolution: accepted -> fixed
messages: + msg91702
2009-08-18 13:29:38gpolosetstatus: open -> closed
resolution: accepted
messages: + msg91688
2009-06-21 21:56:30gpolosetversions: + Python 3.1, Python 2.7, - Python 2.6
2009-06-21 21:56:07gpolosetfiles: + Tix_PanedWindow_panesfix.diff

nosy: + gpolo
messages: + msg89587

keywords: + patch
2009-02-16 02:26:32ajaksu2setstage: test needed
type: behavior
versions: + Python 2.6
2005-08-02 18:52:55majromaxcreate